package-manager (1.16.0-1) unstable; urgency=medium

  * New *code-scanning* command: *pkgmgr code-scanning* downloads a repository's GitHub code scanning alerts and analysis metadata via the *gh* CLI into a timestamped directory (default */tmp/<repo>/code-scanner/<timestamp>*), together with a readable summary, for offline analysis.
  * The release flow now lints and normalises the changelog message before writing it: a leading heading becomes bold, inline code becomes italic, and the entry is validated against the repository's markdown rules, re-prompting interactively until it is clean.
  * The Debian changelog and the RPM *%changelog* now mirror the full multi-line message correctly — every change line is indented or dash-prefixed — fixing a package build failure where un-indented bodies broke *dpkg-buildpackage* and *rpmspec*; the changelog entry no longer gains an auto-inserted leading bullet.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Sun, 28 Jun 2026 16:54:16 +0200

package-manager (1.15.2-1) unstable; urgency=medium

  * Restore `infinito` as an alias for the infinito-nexus/core repository so `pkgmgr install infinito` (and friends) resolves again.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Thu, 28 May 2026 11:06:43 +0200

package-manager (1.15.1-1) unstable; urgency=medium

  * Insert pkgmgr release changelog entry under the H1 instead of above it. Fixes the markdownlint MD041 (first-line-h1) and MD012 (no-multiple-blanks) regressions that previously trashed every CHANGELOG.md after a release.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Thu, 28 May 2026 08:18:23 +0200

package-manager (1.15.0-1) unstable; urgency=medium

  * Add pkgmgr archive subcommand: promote fully-checked NNN-topic.md spec files into the directorys README Archive section and delete the source files. Lookup pattern, README path, and template handling are configurable. Extracted from infinito-nexus-core so every kpmx-managed repo gets the same archival flow.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Thu, 28 May 2026 07:56:07 +0200

package-manager (1.14.0-1) unstable; urgency=medium

  * Added

* New release --retry mode re-deploys the HEAD release without
  re-tagging or modifying any files. It re-pushes the existing version
  tag, re-aligns the floating latest tag, and (unless --no-publish)
  re-runs publish. Use this to recover from a release whose post-tag
  push or PyPI upload failed mid-flight. The release_type argument
  becomes optional under --retry.
* New module pkgmgr.actions.release.retry hosts the retry_release
  helper so the workflow orchestrator stays focused on the forward
  path.
* RepoPaths now exposes a debian_control slot, discovered alongside
  debian_changelog under both packaging/debian and the legacy debian
  layout.
* pkgmgr.actions.release.package_name.resolve_package_name centralises
  the distro-name lookup chain and is unit-tested under
  tests/unit/pkgmgr/actions/release/test_package_name.py.
* tests/unit/pkgmgr/actions/release/test_retry.py covers routing,
  idempotent push, latest-tag re-alignment, missing-tag error path,
  and branch-detection fallback.

Changed

* pkgmgr release now derives the distro-package name from existing
  packaging metadata instead of the repository folder name. The lookup
  order is packaging/debian/control Package field, then
  packaging/arch/PKGBUILD pkgname value, then RPM spec Name field,
  then folder basename as legacy fallback. Renaming a repository
  folder no longer silently flips the debian/changelog top entry and
  the RPM changelog stanza to a new identifier. Those keep matching
  the authoritative value in the packaging files, which is what apt,
  pacman, and dnf index against.

Fixed

* dpkg-source --before-build no longer fails with the message about
  source package having two conflicting values after a repo-folder
  rename, because the changelog and control file stay in agreement
  on the next release.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Wed, 27 May 2026 20:53:14 +0200

package-manager (1.13.4-1) unstable; urgency=medium

  * Changed

* pkgmgr release now derives the distro-package name from existing
  packaging metadata instead of the repository folder name. The lookup
  order is packaging/debian/control Package field, then
  packaging/arch/PKGBUILD pkgname value, then RPM spec Name field, then
  folder basename as legacy fallback. Renaming a repository folder (for
  example infinito-nexus to infinito-nexus-core) no longer silently
  flips the debian/changelog top entry and the RPM changelog stanza to
  a new identifier. Those keep matching the authoritative Package,
  pkgname, or Name value in the packaging files, which is what apt,
  pacman, and dnf index against.

Added

* RepoPaths gains a debian_control slot that is discovered alongside
  debian_changelog under both packaging/debian (new layout) and debian
  (legacy layout).
* pkgmgr.actions.release.package_name.resolve_package_name centralises
  the priority chain and is unit-tested under
  tests/unit/pkgmgr/actions/release/test_package_name.py.

Fixed

* dpkg-source --before-build no longer fails with the message about
  source package having two conflicting values after a repo-folder
  rename, because the changelog and control file stay in agreement.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Wed, 27 May 2026 20:32:39 +0200

package-manager (1.13.3-1) unstable; urgency=medium

  * CI pipelines now include automated security scanning (CodeQL, Docker lint), increasing detection of vulnerabilities and misconfigurations
* Workflow permissions were tightened and fixed, ensuring secure and reliable execution of reusable workflows
* Publishing and “stable” tagging are now restricted to the `main` branch, preventing accidental releases from other branches
* Stale CI runs are automatically cancelled, reducing wasted resources and speeding up feedback cycles
* Overall CI reliability and security posture improved, with fewer false positives and more consistent pipeline results

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Thu, 26 Mar 2026 17:10:21 +0100

package-manager (1.13.2-1) unstable; urgency=medium

  * Fail fast with a clear error when the Nix bootstrap or nix binary is unavailable instead of continuing with a broken startup path.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Thu, 26 Mar 2026 12:26:55 +0100

package-manager (1.13.1-1) unstable; urgency=medium

  * Fixed misleading GPG verification failures by adding explicit git and gnupg runtime dependencies and surfacing signing-key lookup errors accurately.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Fri, 20 Mar 2026 02:57:25 +0100

package-manager (1.13.0-1) unstable; urgency=medium

  * Set CentOS docker image to latest

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Fri, 20 Mar 2026 01:29:38 +0100

package-manager (1.12.5-1) unstable; urgency=medium

  * The stable-tag workflow now waits up to two hours for a successful main-branch CI run on the same commit before updating stable.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Tue, 24 Feb 2026 09:35:39 +0100

package-manager (1.12.4-1) unstable; urgency=medium

  * The release pipeline now updates the stable tag only for v* tags after a successful CI run on main for the same commit, while avoiding duplicate test executions.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Tue, 24 Feb 2026 09:32:01 +0100

package-manager (1.12.3-1) unstable; urgency=medium

  * Stabilized Nix-based builds by switching to nixos-25.11 and committing flake.lock, ensuring reproducible pkgmgr test/runtime environments (with pip) and avoiding transient sphinx/Python 3.11 breakage.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Tue, 24 Feb 2026 08:29:34 +0100

package-manager (1.12.2-1) unstable; urgency=medium

  * Removed infinito-sphinx package

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Tue, 24 Feb 2026 07:40:55 +0100

package-manager (1.12.1-1) unstable; urgency=medium

  * pkgmgr now prefers distro-managed nix binaries on Arch before profile/PATH resolution, preventing libllhttp mismatch failures after pacman system upgrades.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Sat, 14 Feb 2026 23:26:17 +0100

package-manager (1.12.0-1) unstable; urgency=medium

  * Adds explicit concurrency groups to the CI and mark-stable workflows to prevent overlapping runs on the same branch and make pipeline execution more predictable.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Sun, 08 Feb 2026 18:26:25 +0100

package-manager (1.11.2-1) unstable; urgency=medium

  * Removes the v* tag trigger from the mark-stable workflow so it runs only on branch pushes and avoids duplicate executions during releases.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Sun, 08 Feb 2026 18:21:50 +0100

package-manager (1.11.1-1) unstable; urgency=medium

  * Implements pushing the branch and the version tag together in a single command so the CI release workflow can reliably detect the version tag on HEAD.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Sun, 08 Feb 2026 18:18:09 +0100

package-manager (1.11.0-1) unstable; urgency=medium

  * Adds a dedicated slim Docker image for pkgmgr and publishes slim variants for all supported distros.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Wed, 21 Jan 2026 01:18:31 +0100

package-manager (1.10.0-1) unstable; urgency=medium

  * Automated release.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Tue, 20 Jan 2026 10:44:58 +0100

package-manager (1.9.5-1) unstable; urgency=medium

  * Release patch: improve git pull error diagnostics

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Fri, 16 Jan 2026 10:09:43 +0100

package-manager (1.9.4-1) unstable; urgency=medium

  * fix(ci): replace sudo with su for user switching to avoid PAM failures in minimal container images

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Tue, 13 Jan 2026 14:48:50 +0100

package-manager (1.9.3-1) unstable; urgency=medium

  * Made the Nix dependency optional on non-x86_64 architectures to avoid broken Arch Linux ARM repository packages.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Wed, 07 Jan 2026 13:44:40 +0100

package-manager (1.9.2-1) unstable; urgency=medium

  * Default configuration files are now packaged and loaded correctly when no user config exists, while fully preserving custom user configurations.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Sun, 21 Dec 2025 15:30:22 +0100

package-manager (1.9.1-1) unstable; urgency=medium

  * Fixed installation issues and improved loading of default configuration files.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Sun, 21 Dec 2025 13:38:58 +0100

package-manager (1.9.0-1) unstable; urgency=medium

  * * New ***mirror visibility*** command to set remote Git repositories to ***public*** or ***private***.
* New ***--public*** flag for ***mirror provision*** to create repositories and immediately make them public.
* All configured git mirrors are now provisioned.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Sat, 20 Dec 2025 14:37:58 +0100

package-manager (1.8.7-1) unstable; urgency=medium

  * * **Release version updates now correctly modify ***pyproject.toml*** files that follow PEP 621**, ensuring the ***[project].version*** field is updated as expected.
* **Invalid or incomplete ***pyproject.toml*** files are now handled gracefully** with clear error messages instead of abrupt process termination.
* **RPM spec files remain compatible during releases**: existing macros such as ***%{?dist}*** are preserved and no longer accidentally modified.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Fri, 19 Dec 2025 14:15:47 +0100

package-manager (1.8.6-1) unstable; urgency=medium

  * Prevent Rate Limits during GitHub Nix Setups

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Wed, 17 Dec 2025 23:50:31 +0100

package-manager (1.8.5-1) unstable; urgency=medium

  * * Clearer Git error handling, especially when a directory is not a Git repository.
* More reliable repository verification with improved commit and GPG signature checks.
* Better error messages and overall robustness when working with Git-based workflows.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Wed, 17 Dec 2025 22:15:48 +0100

package-manager (1.9.0-1) unstable; urgency=medium

  * Automated release.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Wed, 17 Dec 2025 22:10:31 +0100

package-manager (1.8.4-1) unstable; urgency=medium

  * * Made pkgmgr’s base-layer role explicit by standardizing the Docker/CI mount path to *`/opt/src/pkgmgr`*.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Wed, 17 Dec 2025 11:20:16 +0100

package-manager (1.8.3-1) unstable; urgency=medium

  * MIRRORS now supports plain URL entries, ensuring metadata-only sources like PyPI are recorded without ever being added to the Git configuration.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Tue, 16 Dec 2025 19:49:51 +0100

package-manager (1.8.2-1) unstable; urgency=medium

  * * ***pkgmgr tools code*** is more robust and predictable: it now fails early with clear errors if VS Code is not installed or a repository is not yet identified.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Tue, 16 Dec 2025 19:22:41 +0100

package-manager (1.8.1-1) unstable; urgency=medium

  * * Improved stability and consistency of all Git operations (clone, pull, push, release, branch handling) with clearer error messages and predictable preview behavior.
* Mirrors are now handled cleanly: only valid Git remotes are used for Git operations, while non-Git URLs (e.g. PyPI) are excluded, preventing broken or confusing repository configs.
* GitHub authentication is more robust: tokens are automatically resolved via the GitHub CLI (`gh`), invalid stored tokens are replaced, and interactive prompts occur only when necessary.
* Repository creation and release workflows are more reliable, producing cleaner Git configurations and more predictable version handling.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Tue, 16 Dec 2025 18:06:35 +0100

package-manager (1.8.0-1) unstable; urgency=medium

  * *** New Features: ***
- **Silent Updates**: You can now use the `--silent` flag during installs and updates to suppress error messages for individual repositories and get a single summary at the end. This ensures the process continues even if some repositories fail, while still preserving interactive checks when not in silent mode.
- **Repository Scaffolding**: The process for creating new repositories has been improved. You can now use templates to scaffold repositories with a preview and automatic mirror setup.

*** Bug Fixes: ***
- **Pip Installation**: Pip is now installed automatically on all supported systems. This includes `python-pip` for Arch and `python3-pip` for CentOS, Debian, Fedora, and Ubuntu, ensuring that pip is available for Python package installations.
- **Pacman Keyring**: Fixed an issue on Arch Linux where package installation would fail due to missing keys. The pacman keyring is now properly initialized before installing packages.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Mon, 15 Dec 2025 13:37:42 +0100

package-manager (1.7.2-1) unstable; urgency=medium

  * * Git mirrors are now resolved consistently (origin → MIRRORS file → config → default).
* The `origin` remote is always enforced to use the primary URL for both fetch and push.
* Additional mirrors are added as extra push targets without duplication.
* Local and remote mirror setup behaves more predictably and consistently.
* Improved test coverage ensures stable origin and push URL handling.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Mon, 15 Dec 2025 00:53:26 +0100

package-manager (1.7.1-1) unstable; urgency=medium

  * Patched package-manager to kpmx to publish on pypi

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Sun, 14 Dec 2025 21:19:11 +0100

package-manager (1.7.0-1) unstable; urgency=medium

  * * New *pkgmgr publish* command to publish repository artifacts to PyPI based on the *MIRRORS* file.
* Automatically selects the current repository when no explicit selection is given.
* Publishes only when a semantic version tag is present on *HEAD*; otherwise skips with a clear info message.
* Supports non-interactive mode for CI environments via *--non-interactive*.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Sun, 14 Dec 2025 21:10:06 +0100

package-manager (1.6.4-1) unstable; urgency=medium

  * * Improved reliability of Nix installs and updates, including automatic resolution of profile conflicts and better handling of GitHub 403 rate limits.
* More stable launcher behavior in packaged and virtual-env setups.
* Enhanced mirror and remote handling: repository owner/name are derived from URLs, with smoother provisioning and clearer credential handling.
* More reliable releases and artifacts due to safer CI behavior when no version tag is present.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Sun, 14 Dec 2025 19:33:07 +0100

package-manager (1.6.3-1) unstable; urgency=medium

  * ***Fixed:*** Corrected repository path resolution so release and version logic consistently use the canonical packaging/* layout, preventing changelog and packaging files from being read or updated from incorrect locations.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Sun, 14 Dec 2025 13:39:52 +0100

package-manager (0.9.1-1) unstable; urgency=medium

  * * Refactored installer: new `venv-create.sh`, cleaner root/user setup flow, updated README with architecture map.
* Split virgin tests into root/user workflows; stabilized Nix installer across distros; improved test scripts with dynamic distro selection and isolated Nix stores.
* Fixed repository directory resolution; improved `pkgmgr path` and `pkgmgr shell`; added full unit/E2E coverage.
* Removed deprecated files and updated `.gitignore`.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Wed, 10 Dec 2025 22:56:01 +0100

package-manager (0.9.0-1) unstable; urgency=medium

  * Introduce a virgin Arch-based Nix flake E2E workflow that validates pkgmgr’s full flake installation path using shared caches for faster and reproducible CI runs.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Wed, 10 Dec 2025 18:38:07 +0100

package-manager (0.8.0-1) unstable; urgency=medium

  * **v0.7.15 — Installer & Command Resolution Improvements**

* Introduced a unified **layer-based installer pipeline** with clear precedence (OS-packages, Nix, Python, Makefile).
* Reworked installer structure and improved Python/Nix/Makefile installers, including isolated Python venvs and refined flake-output handling.
* Fully rewrote **command resolution** with stronger typing, safer fallbacks, and explicit support for `command: null` to mark library-only repositories.
* Added extensive **unit and integration tests** for installer capability ordering, command resolution, and Nix/Python installer behavior.
* Expanded documentation with capability hierarchy diagrams and scenario matrices.
* Removed deprecated repository entries and obsolete configuration files.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Wed, 10 Dec 2025 17:31:57 +0100

package-manager (0.7.14-1) unstable; urgency=medium

  * Fixed the clone-all integration test so that `SystemExit(0)` from the proxy is treated as a successful command instead of a failure.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Wed, 10 Dec 2025 10:38:33 +0100

package-manager (0.7.13-1) unstable; urgency=medium

  * Automated release.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Wed, 10 Dec 2025 10:27:24 +0100

package-manager (0.7.12-1) unstable; urgency=medium

  * Fixed self refering alias during setup

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Tue, 09 Dec 2025 23:36:35 +0100

package-manager (0.7.11-1) unstable; urgency=medium

  * test: fix installer unit tests for OS packages and Nix dev shell

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Tue, 09 Dec 2025 23:16:46 +0100

package-manager (0.7.10-1) unstable; urgency=medium

  * Fixed test_install_pkgmgr_shallow.py

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Tue, 09 Dec 2025 22:57:08 +0100

package-manager (0.7.9-1) unstable; urgency=medium

  * 'main' and 'master' are now both accepted as branches for branch close merge

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Tue, 09 Dec 2025 21:19:13 +0100

package-manager (0.7.8-1) unstable; urgency=medium

  * Missing pyproject.toml doesn't lead to an error during release

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Tue, 09 Dec 2025 21:03:24 +0100

package-manager (0.7.7-1) unstable; urgency=medium

  * Added TEST_PATTERN parameter to execute dedicated tests

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Tue, 09 Dec 2025 17:54:38 +0100

package-manager (0.7.6-1) unstable; urgency=medium

  * Fixed pull --preview bug in e2e test

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Tue, 09 Dec 2025 17:14:19 +0100

package-manager (0.7.5-1) unstable; urgency=medium

  * Fixed wrong directory permissions for nix

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Tue, 09 Dec 2025 16:45:42 +0100

package-manager (0.7.4-1) unstable; urgency=medium

  * Fixed missing build in test workflow -> Tests pass now

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Tue, 09 Dec 2025 16:22:00 +0100

package-manager (0.7.3-1) unstable; urgency=medium

  * Fixed bug: Ignored packages are now ignored

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Tue, 09 Dec 2025 16:08:31 +0100

package-manager (0.7.2-1) unstable; urgency=medium

  * Implemented Changelog Support for Fedora and Debian

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Tue, 09 Dec 2025 15:48:58 +0100

package-manager (0.7.1-1) unstable; urgency=medium

  * Fix floating 'latest' tag logic: dereference annotated target (vX.Y.Z^{}), add tag message to avoid Git errors, ensure best-effort update without blocking releases, and update unit tests (see ChatGPT conversation: https://chatgpt.com/share/69383024-efa4-800f-a875-129b81fa40ff).

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Tue, 09 Dec 2025 15:26:54 +0100

package-manager (0.7.0-1) unstable; urgency=medium

  * Add Git helpers for branch sync and floating 'latest' tag in the release workflow, ensure main/master are updated from origin before tagging, and extend unit/e2e tests including 'pkgmgr release --help' coverage (see ChatGPT conversation: https://chatgpt.com/share/69383024-efa4-800f-a875-129b81fa40ff)

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Tue, 09 Dec 2025 15:21:03 +0100

package-manager (0.6.0-1) unstable; urgency=medium

  * Expose DISTROS and BASE_IMAGE_* variables as exported Makefile environment variables so all build and test commands can consume them dynamically. By exporting these values, every Make target (e.g., build, build-no-cache, build-missing, test-container, test-unit, test-e2e) and every delegated script in scripts/build/ and scripts/test/ now receives a consistent view of the supported distributions and their base container images. This change removes duplicated definitions across scripts, ensures reproducible builds, and allows build tooling to react automatically when new distros or base images are added to the Makefile.

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Tue, 09 Dec 2025 05:59:58 +0100

package-manager (0.5.1-1) unstable; urgency=medium

  * Refine pkgmgr release CLI close wiring and integration tests for --close flag (ChatGPT: https://chatgpt.com/share/69376b4e-8440-800f-9d06-535ec1d7a40e)

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Tue, 09 Dec 2025 01:21:31 +0100

package-manager (0.5.0-1) unstable; urgency=medium

  * Add pkgmgr branch close subcommand, extend CLI parser wiring, and add unit tests for branch handling and version version-selection logic (see ChatGPT conversation: https://chatgpt.com/share/693762a3-9ea8-800f-a640-bc78170953d1)

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Tue, 09 Dec 2025 00:44:16 +0100

package-manager (0.4.3-1) unstable; urgency=medium

  * Implement current-directory repository selection for release and proxy commands, unify selection semantics across CLI layers, extend release workflow with --close, integrate branch closing logic, fix wiring for get_repo_identifier/get_repo_dir, update packaging files (PKGBUILD, spec, flake.nix, pyproject), and add comprehensive unit/e2e tests for release and branch commands (see ChatGPT conversation: https://chatgpt.com/share/69375cfe-9e00-800f-bd65-1bd5937e1696)

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Tue, 09 Dec 2025 00:29:08 +0100

package-manager (0.4.2-1) unstable; urgency=medium

  * Wire pkgmgr release CLI to new helper and add unit tests (see ChatGPT conversation: https://chatgpt.com/share/69374f09-c760-800f-92e4-5b44a4510b62)

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Tue, 09 Dec 2025 00:03:46 +0100

package-manager (0.4.1-1) unstable; urgency=medium

  * Add branch close subcommand and integrate release close/editor flow (ChatGPT: https://chatgpt.com/share/69374f09-c760-800f-92e4-5b44a4510b62)

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Mon, 08 Dec 2025 23:20:28 +0100

package-manager (0.4.0-1) unstable; urgency=medium

  * Add branch closing helper and --close flag to release command, including CLI wiring and tests (see https://chatgpt.com/share/69374aec-74ec-800f-bde3-5d91dfdb9b91)

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Mon, 08 Dec 2025 23:02:43 +0100

package-manager (0.3.0-1) unstable; urgency=medium

  * Massive refactor and feature expansion:
- Complete rewrite of config loading system (layered defaults + user config)
- New selection engine (--string, --category, --tag)
- Overhauled list output (colored statuses, alias highlight)
- New config update logic + default YAML sync
- Improved proxy command handling
- Full CLI routing refactor
- Expanded E2E tests for list, proxy, and selection logic
Konversation: https://chatgpt.com/share/693745c3-b8d8-800f-aa29-c8481a2ffae1

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Mon, 08 Dec 2025 22:40:49 +0100

package-manager (0.2.0-1) unstable; urgency=medium

  * Add preview-first release workflow and extended packaging support (see ChatGPT conversation: https://chatgpt.com/share/693722b4-af9c-800f-bccc-8a4036e99630)

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Mon, 08 Dec 2025 20:31:19 +0100

package-manager (0.1.0-1) unstable; urgency=medium

  * Updated to correct version

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Mon, 08 Dec 2025 20:24:49 +0100

package-manager (0.1.0-1) unstable; urgency=medium

  * Implement unified release helper with preview mode, multi-packaging version bumps, and new integration/unit tests (see ChatGPT conversation 2025-12-08: https://chatgpt.com/share/693722b4-af9c-800f-bccc-8a4036e99630)

 -- Kevin Veen-Birkenbach <kevin@veen.world>  Mon, 08 Dec 2025 20:15:13 +0100

package-manager (0.1.1-1) unstable; urgency=medium

  * Initial release.

 -- Kevin Veen-Birkenbach <info@veen.world>  Sat, 06 Dec 2025 16:30:00 +0100
